#ifdef GL_ES							
precision lowp float;					
#endif																				

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;	


void main ()
{	
	vec3 colA = (v_fragmentColor *texture2D(CC_Texture0, v_texCoord) ).rgb;

		
	float colR = colA.r;
	float colG = colA.g;
	float colB = colA.b;
		
	float alphaA = (v_fragmentColor *texture2D(CC_Texture0, v_texCoord)).a;
		

	if( alphaA > 0.3 ){
		colR = colR + 0.4*(cos(CC_Time.y*4.0)+1.0);
		colG = colG + 0.4*(cos(CC_Time.y*4.0)+1.0);
		colB = colB + 0.4*(cos(CC_Time.y*4.0)+1.0);
		//alphaA = alphaA *0.9;
		gl_FragColor = vec4(colR,colG,colB,alphaA);			
	}else{
		gl_FragColor = vec4(colA,alphaA);
	}

}		